petsc-3.12.4 2020-02-04
Report Typos and Errors

# VecPow

Replaces each component of a vector by x_i^p

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecPow(Vec v, PetscScalar p)

Logically Collective on v

### Input Parameter

| v | - the vector
| p | - the exponent to use on each element

### Output Parameter

v -the vector

### Level

intermediate

### Location

src/vec/vec/utils/projection.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages